Bug 216622 - security/md5deep: fails to build with clang 4.0
Summary: security/md5deep: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-30 22:32 UTC by Jan Beich
Modified: 2017-06-11 14:35 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (nobutaka)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-30 22:32:08 UTC
hash.cpp:282:19: error: ordered comparison between pointer and zero ('const unsigned char *' and 'int')
            if(fdht->base>0){           
               ~~~~~~~~~~^~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/md5deep-4.4.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 MANTANI Nobutaka freebsd_committer 2017-06-11 14:35:04 UTC
Fix committed on r443388 (I forgot to add "PR:" line to the commit log).

https://svnweb.freebsd.org/ports?view=revision&revision=443388